Subject: RE: XML Schema and PaceElementOrder

From: "David Orchard" <[email-masked]>
Date: Mon, 12 Jul 2004 11:29:00 -0700

And if you don't have element order, you can't do schema wildcard extensibility either...

Dave

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Danny Ayers
> Sent: Monday, July 12, 2004 6:48 AM
> To: [email-masked]
> Cc: Mark Nottingham; Tim Bray; Atom Syntax
> Subject: XML Schema and PaceElementOrder
> 
> 
> 
> The desire for schema-validity in the group seems to be pretty strong 
> (more so than I guessed). Which means an XML Schema is more 
> desirable, 
> which in turn means that element order standardization is 
> probably also 
> desirable.
> 
> --verbose :  granted that the normative schema will (only) be 
> defined in 
> prose, schema-validity in this sense will be a MUST. The informative 
> machine-readable schemas would in effect offer schema-validation as a 
> MAY. But a very desirable MAY in development, to assist with 
> forementioned MUST. Given that lack of element order (and 
> nesting) make 
> the XSD either painful or under-constrained, I think there's 
> a good case 
> for mandating an order (disallowing any optional nesting).
> 
> Cheers,
> Danny.
> 
> Danny Ayers wrote:
> 
> >
> > Mark Nottingham wrote:
> >
> >>
> >>
> >> On Jul 9, 2004, at 11:07 PM, Tim Bray wrote:
> >>
> >>>
> >>> On the other hand, leaving the order semi-unconstrained (i.e. 
> >>> requiring only that the <atom:entry> crowd bring up the rear) is 
> >>> going to result in serious ugliness in any XSD we 
> produce, which may 
> >>> spill over into SOAP/WSDL territory... still, I lean to -1. -Tim
> >>
> >>
> >>
> >> XSD's problem, not mine.
> >
> >
> >
> > Quite.
> >
> > It seems like putting the cart before the horse to 
> constrain order in 
> > the spec for the benefit of the schema without some reference to 
> > schema-validity.  If we really want a schema, we should be 
> prepared to 
> > use it. I'd suggest either making schema-validity a SHOULD (and 
> > processor validation a MAY) or allowing any order. I suspect the 
> > latter is more likely to gain consensus.
> >
> > Cheers,
> > Danny.
> >
> 
> 
> -- 
> 
> Raw
> http://dannyayers.com
> 
>